Page MenuHomePhabricator

Create tox templates that are bound to jessie
Closed, ResolvedPublic

Description

Some tox based jobs are going to need to be run on Jessie such as T103972: Setup jobs for operations/software/conftool which requires etcd only available on Jessie.

We need some tox-{name}-jessie template.

Details

Related Gerrit Patches:

Related Objects

StatusAssignedTask
Resolvedhashar
Resolvedhashar
Resolvedhashar
Resolvedhashar
DuplicateNone
ResolvedAndrew
Resolvedhashar
Resolvedhashar
Resolvedhashar
Resolvedfaidon
ResolvedDzahn
Resolvedfgiunchedi
ResolvedMoritzMuehlenhoff
Resolvedfaidon
Resolvedfaidon
ResolvedAndrew
Declinedhashar
ResolvedAndrew
ResolvedAndrew
Resolvedcoren
Resolvedcoren
Resolvedhashar
Resolvedhashar

Event Timeline

hashar created this task.Jun 26 2015, 10:37 AM
hashar raised the priority of this task from to Needs Triage.
hashar updated the task description. (Show Details)
hashar added subscribers: hashar, Joe.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 26 2015, 10:37 AM
hashar triaged this task as Low priority.Jul 6 2015, 12:55 PM

No immediate use case for now and it is pending Jessie CI slaves anyway.

hashar claimed this task.Jul 24 2015, 9:19 AM
hashar moved this task from Backlog to In progress on the Continuous-Integration-Config board.
hashar updated the task description. (Show Details)Jul 24 2015, 9:23 AM
hashar set Security to None.

Change 226686 had a related patch set uploaded (by Hashar):
Create tox template for Jessie

https://gerrit.wikimedia.org/r/226686

hashar closed this task as Resolved.Jul 24 2015, 9:26 AM
hashar changed the task status from Resolved to Unknown Status.

The JJB template is 'tox-{toxenv}-jessie'

Change 226686 merged by jenkins-bot:
Create tox template for Jessie common jobs

https://gerrit.wikimedia.org/r/226686

hashar changed the task status from Unknown Status to Resolved.Jul 24 2015, 9:44 AM

That created the generic jobs:

tox-doc-jessie
tox-flake8-jessie
tox-flake8-bin-jessie
tox-py27-jessie
tox-py34-jessie

hashar changed the status of subtask T94836: Create CI slaves using Debian Jessie from Open to Stalled.Oct 6 2015, 12:37 PM